Macaulay2 » Documentation
Packages » SRdeformations :: isSubface
next | previous | forward | backward | up | index | toc

# isSubface -- Checks whether a face is a subface of another face.

- Usage:
    `isSubface(F,G)`
- Inputs:
  - F, a face,
  - G, a face,
- Outputs:
  - a Boolean value,

## Description

Checks whether F is a subface of G.

    i1 : R=QQ[x_0..x_4];

    i2 : C=simplex R;

    i3 : G=C.fc_3_0

    o3 = x x x x
          0 1 2 3

    o3 : face with 4 vertices

    i4 : F=C.fc_2_0

    o4 = x x x
          0 1 2

    o4 : face with 3 vertices

    i5 : H=C.fc_3_3

    o5 = x x x x
          0 2 3 4

    o5 : face with 4 vertices

    i6 : isSubface(F,G)

    o6 = true

    i7 : isSubface(F,H)

    o7 = false

## Ways to use isSubface:

- `isSubface(Face,Face)`

## For the programmer

The object isSubface is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/SRdeformations.m2:5782:0.